| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KDockTabGroup Class Reference

It just hides the special implementation of a dockwidget tab groups (and is member of the dockwidget class set). More...

`#include <kdockwidget.h>`

Inheritance diagram for KDockTabGroup:

[legend]
Collaboration diagram for KDockTabGroup:

[legend]
List of all members.

## Public Member Functions
| KDockTabGroup (QWidget *parent=0, const char *name=0)
| Constructs this.
virtual | ~KDockTabGroup ()
| Destructs a KDockTabGroup.
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)

## Detailed Description

It just hides the special implementation of a dockwidget tab groups (and is member of the dockwidget class set).

An abstraction what it is currently. In general it is like QTabWidget but is more useful for the dockwidget class set. More or less a minor helper class for the dockwidget class set.

Author:
  Max Judin (documentation: Falk Brettschneider).

Definition at line 333 of file kdockwidget.h.

## Constructor & Destructor Documentation

KDockTabGroup::KDockTabGroup | ( | QWidget * | parent = 0,
|  | const char * | name = 0
| ) | `[inline]`

| Constructs this. It just calls the method of the base class. Definition at line 340 of file kdockwidget.h. References KStdAccel::name().

virtual KDockTabGroup::~KDockTabGroup | ( |  | ) | `[inline, virtual]`

| Destructs a KDockTabGroup. Definition at line 346 of file kdockwidget.h.

The documentation for this class was generated from the following files:

- kdockwidget.h
- kdockwidget.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:59:53 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001